
QGIS Application - Bug report #5017

Node tool glitches/issues in qgis-master

2012-02-14 11:33 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Jürgen Fischer

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14793

Description

When deleting nodes with the node tool/del key, "ghost" nodes are left in the canvas. They disappear when selecting another

line/polygon. In a non-replicable way it has been noticed that if many nodes are removed (and so many ghost nodes are left on the

canvas) a crash could occur.

Another issue is with selection of single/multiple nodes:

*) single clicking on a segment selects the two nodes at the segment ends

*) a single click on a node selects just that node

What is simple to see is that after clicking on a segment (two nodes selected) is sometimes hard to unselect/select one of the two by just

clicking on one of this nodes. Usually both nodes remain selected and the user have first to go select a node far away and then go back

and select the node he needs.

It is also simply to see that single clicking on a node selects two nodes instead of one, like the click was done on the segment.

Again it is also easy to see that the above described "ghost" nodes are still somehow considered when moving a nearby node: the

rubberband still passes from the deleted node, but when releasing the mouse button the user realises that as a fact if wasn't real.

Associated revisions

Revision 6b07241f - 2012-02-15 07:16 PM - Jürgen Fischer

fix #5017 and fix #5024

History

#1 - 2012-02-14 11:33 AM - Giovanni Manghi

If is not clear I can provide a screencast.

#2 - 2012-02-15 09:56 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#3 - 2012-02-15 10:17 AM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Open to Closed
Fixed in changeset commit:"6b07241f2447030bd5c9be374975d585ce0c15b2".
